com.icesoft.faces.facelets.component.treetable

## Class TreeTableNode

- java.lang.Object
- - com.icesoft.faces.facelets.component.treetable.TreeTableNode

- All Implemented Interfaces:
    java.io.Serializable

      public class TreeTableNode
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Object` | `data`
    `protected java.lang.String[]` | `levelColours`
    `protected javax.swing.tree.TreeModel` | `treeModel`
    `protected javax.swing.tree.DefaultMutableTreeNode` | `treeNodeRef`
    `protected TreeTable` | `treeTable`
    `protected com.icesoft.faces.component.tree.IceUserObject` | `userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeTableNode(TreeTableNode parent, java.lang.Object data)`
    `TreeTableNode(TreeTable treeTable, java.lang.Object data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendNode(TreeTableNode child)`
    `java.util.List` | `getChildren()`
    `java.lang.Object` | `getData()`
    `java.lang.String` | `getIcon()`
    `int` | `getLevel()`
    `java.util.List` | `getLevelList()`
    `java.lang.String` | `getStyle()`
    `javax.swing.tree.TreeModel` | `getTreeModel()`
    `boolean` | `isExpanded()`
    `boolean` | `isLeaf()`
    `void` | `nodeMoved(com.icesoft.faces.component.dragdrop.DropEvent evt)`
    `void` | `removeChildNode(TreeTableNode child)`
    `void` | `setData(java.lang.Object data)`
    `void` | `setExpanded(boolean expanded)`
    `void` | `toggleRow(javax.faces.event.ActionEvent evt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### levelColours

          protected java.lang.String[] levelColours

    - #### treeTable

          protected TreeTable treeTable

    - #### userObject

          protected com.icesoft.faces.component.tree.IceUserObject userObject

    - #### treeNodeRef

          protected javax.swing.tree.DefaultMutableTreeNode treeNodeRef

    - #### treeModel

          protected javax.swing.tree.TreeModel treeModel

    - #### data

          protected java.lang.Object data

  - ### Constructor Detail

    - #### TreeTableNode

          public TreeTableNode(TreeTable treeTable,
                               java.lang.Object data)

    - #### TreeTableNode

          public TreeTableNode(TreeTableNode parent,
                               java.lang.Object data)

  - ### Method Detail

    - #### getTreeModel

          public javax.swing.tree.TreeModel getTreeModel()

    - #### appendNode

          public void appendNode(TreeTableNode child)

    - #### removeChildNode

          public void removeChildNode(TreeTableNode child)

    - #### getStyle

          public java.lang.String getStyle()

    - #### toggleRow

          public void toggleRow(javax.faces.event.ActionEvent evt)

    - #### nodeMoved

          public void nodeMoved(com.icesoft.faces.component.dragdrop.DropEvent evt)

    - #### getChildren

          public java.util.List getChildren()

    - #### getData

          public java.lang.Object getData()

    - #### setData

          public void setData(java.lang.Object data)

    - #### getLevelList

          public java.util.List getLevelList()

    - #### isLeaf

          public boolean isLeaf()

    - #### getIcon

          public java.lang.String getIcon()

    - #### getLevel

          public int getLevel()

    - #### isExpanded

          public boolean isExpanded()

    - #### setExpanded

          public void setExpanded(boolean expanded)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.